Skip to main content
`Ctrl`+`K`

# PetscRealloc

Reallocates memory

## Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscRealloc(size_t m,void **result)

Not Collective

## Input Parameters

- m - number of bytes to allocate

- result - previous memory

## Output Parameter

- result - new memory allocated

## Notes

`results` must have already been obtained with `PetscMalloc()`

Memory is always allocated at least double aligned

## See Also

`PetscMalloc()`, `PetscFree()`, `PetscNew()`

## Level

developer

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages